[TREE]
<Moblin 2.0>/<Certification Tests>/<Manual Tests>/man-scribus

[DESCRIPTIONS]
TESTSUITE man-scribus	Moblin
		DISPLAYNAME = LSB Manual Scribus Tests
		DESCRIPTION = LSB Application Battery Functional Verification Tests
		 for Scribus - a desktop publishing tool based on Qt.
TESTSUITE END

[MANUAL]
TESTSUITE man-scribus Moblin

STEP If the <b>xdg-desktop-menu</b> binary is present on the system, and you are using a compliant window manager, <b>lsb-scribus</b> should show up in the Office and/or Publishing categories, if present.<br /><b>Note:</b> It is possible, on some systems, that when running scribus you will be greeted with a message <tt>'There are no suitable fonts on your system'</tt>. If this occurs, you will need to help scribus find the Truetype fonts on the system. For example, if your fonts are in /usr/share/fonts:<pre>    mkdir ~/.scribus
    find /usr/share/fonts/TTF -maxdepth 1 -type d > ~/.scribus/scribusfont.rc</pre><br />- Was the installation successful?

STEP Run the command <tt>/opt/lsb/appbat/bin/scribus</tt>.<br />- Expected result: The Scribus window comes up, with a <tt>New Document</tt> dialog box.

STEP Click <tt>OK</tt> on the <tt>New Document</tt> dialog.<br />- Expected result: The dialog disappears, and the main Scribus window displays a blank document.

STEP Click on the <tt>Insert Text Frame</tt> button (the second button from the left, with a letter "A" in it), click in the upper left corner of the margins, drag the mouse down and to the right to define a box on the document, and release the mouse.<br />- Expected result: A box, outlined in red, is displayed.

STEP Double-click in the box and type some text.<br />- Expected result: The typed text appears in the box.

STEP Click on the <tt>Insert Picture</tt> button (to the right of the <tt>Insert Text Frame</tt> button), click on the document below the defined text box, drag the mouse down and to the right to define a box, and release the mouse.<br />- Expected result: A picture box will be displayed, outlined in red, with the interior crossed out.

STEP Right-click on the picture box, select <tt>Get Image...</tt>, and type <tt>/opt/lsb/appbat/share/pixmaps/scribusicon.png</tt> into the <tt>File name</tt> field of the dialog box.<br />- Expected result: The picture box displays the Scribus icon, a blue circle containing a pen.

STEP Select <tt>File -> Save As</tt> from the pull-down menu, and type "lsb" in the <tt>File name</tt> field.<br />- Expected result: The document should save.

STEP Press the CTRL-W key.<br />- Expected result: The document should be cleared from the Scribus window.

STEP Select <tt>File -&gt; Open</tt> from the pull-down menu, and type "lsb.sla" into the <tt>File name</tt> field of the file open dialog, and click <tt>Open</tt>.<br />- Expected result: The document just created is displayed again in the Scribus window.

STEP OPTIONAL <h3>This step is optional, as it requires a printer to be setup on the system under test. It is not considered a failure if the <tt>Options</tt> button is grayed out on the <tt>Setup Printer</tt> dialog.</h3>Select <tt>File -&gt; Print</tt> from the pull-down menu. If a <tt>Preflight Verifier</tt> window appears, select <tt>Ignore Errors</tt>.<br />Select <tt>Options</tt> in the <tt>Setup Printer</tt> dialog.<br />Click <tt>Cancel</tt> in the <tt>Printer Options</tt> dialog and again in the <tt>Setup Printer</tt> dialog.<br />- Expected result: A screen of CUPS printer options should be displayed in the <tt>Printer Options</tt> dialog.

STEP Press the CTRL-Q key.<br />- Expected result: Scribus exits.

[MODULES]
TESTSUITE man-scribus	Moblin
 module Manual_test.pm

[COMPOSITION]
#TESTSUITE man-scribus	*	Moblin 2.0	x86	cert
#	lsb-setup	*	<base>
#	lsb-scribus	*	<appbat-4.0>

TESTSUITE man-scribus	*	Moblin 2.0	x86	cert
	lsb-setup	*	<moblin-beta>/lsb
	lsb-scribus	*	<moblin-beta>/lsb

